Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: partners.devices.unclaim
Koleksiyonlar ile düzeninizi koruyun
İçeriği tercihlerinize göre kaydedin ve kategorilere ayırın.
Müşteriden cihaz hak talebini iptal eder ve cihazı el değmeden kayıttan kaldırır.
HTTP isteği
POST https://androiddeviceprovisioning.googleapis.com/v1/partners/{partnerId}/devices:unclaim
URL, gRPC Kod Dönüştürme söz dizimini kullanır.
Yol parametreleri
| Parametreler |
partnerId |
string (int64 format)
Zorunlu. Bayi iş ortağının kimliği.
|
İstek içeriği
İstek gövdesi, aşağıdaki yapıya sahip verileri içerir:
| JSON gösterimi |
{
"sectionType": enum (DeviceProvisioningSectionType),
// Union field device_to_unclaim can be only one of the following:
"deviceId": string,
"deviceIdentifier": {
object (DeviceIdentifier)
}
// End of list of possible types for union field device_to_unclaim.
} |
| Alanlar |
sectionType |
enum (DeviceProvisioningSectionType)
Zorunlu. Cihazın temel hazırlık kaydının bölüm türü.
|
Birleştirme alanı device_to_unclaim. Zorunlu. Hak talebini iptal edecek cihaz. device_to_unclaim şunlardan yalnızca biri olabilir: |
deviceId |
string (int64 format)
Zorunlu. devices.claim tarafından döndürülen cihaz kimliği.
|
deviceIdentifier |
object (DeviceIdentifier)
Zorunlu. Bu cihaz için hak talebinde bulunurken kullandığınız cihaz tanımlayıcısı.
|
Yanıt gövdesi
Başarılı olursa yanıt gövdesi boş olur.
Yetkilendirme Kapsamları
Aşağıdaki OAuth kapsamını gerektirir:
https://www.googleapis.com/auth/androidworkprovisioning
Daha fazla bilgi için OAuth 2.0 Overview (OAuth 2.0'a Genel Bakış) sayfasına göz atın.
Aksi belirtilmediği sürece bu sayfanın içeriği Creative Commons Atıf 4.0 Lisansı altında ve kod örnekleri Apache 2.0 Lisansı altında lisanslanmıştır. Ayrıntılı bilgi için Google Developers Site Politikaları'na göz atın. Java, Oracle ve/veya satış ortaklarının tescilli ticari markasıdır.
Son güncelleme tarihi: 2025-07-25 UTC.
[null,null,["Son güncelleme tarihi: 2025-07-25 UTC."],[],["This document details the process to unclaim a device from a customer, removing it from zero-touch enrollment. It uses a `POST` HTTP request to the endpoint: `https://androiddeviceprovisioning.googleapis.com/v1/partners/{partnerId}/devices:unclaim`, requires the `partnerId` path parameter and the `https://www.googleapis.com/auth/androidworkprovisioning` OAuth scope. The request body requires a `sectionType`, along with either a `deviceId` or a `deviceIdentifier` to specify the device to unclaim. A successful request returns an empty response body.\n"]]